curl --request GET \
--url https://api.example.com/api/v1/apps/{appId}{
"data": {
"_id": 123,
"app_slug": "<string>",
"app_id": "<string>",
"store_id": 123,
"title": "<string>",
"url": "<string>",
"description": {},
"icon": "<string>",
"version": {},
"size": {},
"required_os_version": {},
"release_notes": {},
"genres": [
"<string>"
],
"genre_ids": [
"<string>"
],
"primary_genre": "<string>",
"primary_genre_id": 123,
"content_rating": "<string>",
"languages": [
"<string>"
],
"price": 123,
"currency": "<string>",
"free": true,
"score": {},
"reviews": 123,
"current_version_score": {},
"current_version_reviews": 123,
"downloads": 123,
"revenue": 123,
"released": {},
"updated": {},
"date_created": 123,
"date_updated": 123,
"developer": "<string>",
"developer_id": 123,
"developer_url": {},
"developer_website": {},
"emails": [
"<string>"
],
"websites": [
"<string>"
],
"socials": {
"x_url": {},
"linkedin_url": {},
"email": {},
"facebook_url": {},
"instagram_url": {},
"youtube_url": {},
"tiktok_url": {},
"discord_url": {}
},
"decision_makers": [
{
"full_name": "<string>",
"email": {},
"linkedin_url": {},
"x_url": {}
}
],
"hiring": {
"careers_url": {},
"is_hiring": true
},
"screenshots": [
"<string>"
],
"historical_counts": {},
"historical_data": {
"rank": [
{}
],
"reviews": [
{}
],
"revenue": [
{}
],
"downloads": [
{}
]
},
"rank": 123,
"rank_change": 123,
"topyappers_creators": [
{
"user_id": "<string>",
"handle": "<string>",
"source": {},
"country": {},
"followers": {},
"avatar_url": {}
}
],
"meta_ads": {
"type": "<string>",
"src": "<string>",
"poster": {},
"ad_archive_id": {},
"page_name": {},
"title": {},
"body": {},
"cta_text": {},
"link_url": {},
"is_active": true,
"start_date": 123,
"end_date": 123
},
"apple_ads": {
"ad_id": "<string>",
"placement": {},
"format": {},
"language": {},
"first_seen": {},
"last_seen": {},
"running_for_days": {},
"assets": [
{}
],
"audience": {}
},
"in_app_purchases": {
"iap_id": "<string>",
"name": "<string>",
"price": "<string>",
"duration": {}
}
}
}Retrieve comprehensive data for a single app including historical metrics, ads, contacts, and in-app purchases
curl --request GET \
--url https://api.example.com/api/v1/apps/{appId}{
"data": {
"_id": 123,
"app_slug": "<string>",
"app_id": "<string>",
"store_id": 123,
"title": "<string>",
"url": "<string>",
"description": {},
"icon": "<string>",
"version": {},
"size": {},
"required_os_version": {},
"release_notes": {},
"genres": [
"<string>"
],
"genre_ids": [
"<string>"
],
"primary_genre": "<string>",
"primary_genre_id": 123,
"content_rating": "<string>",
"languages": [
"<string>"
],
"price": 123,
"currency": "<string>",
"free": true,
"score": {},
"reviews": 123,
"current_version_score": {},
"current_version_reviews": 123,
"downloads": 123,
"revenue": 123,
"released": {},
"updated": {},
"date_created": 123,
"date_updated": 123,
"developer": "<string>",
"developer_id": 123,
"developer_url": {},
"developer_website": {},
"emails": [
"<string>"
],
"websites": [
"<string>"
],
"socials": {
"x_url": {},
"linkedin_url": {},
"email": {},
"facebook_url": {},
"instagram_url": {},
"youtube_url": {},
"tiktok_url": {},
"discord_url": {}
},
"decision_makers": [
{
"full_name": "<string>",
"email": {},
"linkedin_url": {},
"x_url": {}
}
],
"hiring": {
"careers_url": {},
"is_hiring": true
},
"screenshots": [
"<string>"
],
"historical_counts": {},
"historical_data": {
"rank": [
{}
],
"reviews": [
{}
],
"revenue": [
{}
],
"downloads": [
{}
]
},
"rank": 123,
"rank_change": 123,
"topyappers_creators": [
{
"user_id": "<string>",
"handle": "<string>",
"source": {},
"country": {},
"followers": {},
"avatar_url": {}
}
],
"meta_ads": {
"type": "<string>",
"src": "<string>",
"poster": {},
"ad_archive_id": {},
"page_name": {},
"title": {},
"body": {},
"cta_text": {},
"link_url": {},
"is_active": true,
"start_date": 123,
"end_date": 123
},
"apple_ads": {
"ad_id": "<string>",
"placement": {},
"format": {},
"language": {},
"first_seen": {},
"last_seen": {},
"running_for_days": {},
"assets": [
{}
],
"audience": {}
},
"in_app_purchases": {
"iap_id": "<string>",
"name": "<string>",
"price": "<string>",
"duration": {}
}
}
}_id field from the List Apps endpoint.Show Identifiers
Show Basic info
Show Categorization
Show Pricing
Show Ratings & reviews
Show Estimated metrics
Show Dates
Show Developer info
Show Contact data
Show Social fields
Show Media
Show Historical data
reviews, score, downloads, revenue, price, size, current_version_reviews, current_version_score. Each array contains data points with value, growth, and period-specific growth (growth_7d, growth_14d, growth_30d, growth_60d, growth_90d).Also includes denormalized fields like reviews_growth_7d, downloads_growth_30d, revenue_last_30d, downloads_last_30d for quick access.Show Creator partnerships
Show Meta Ads
Show Meta ad fields
image or video.Show Apple Search Ads
{ "US": [...], "GB": [...] }).Each array contains ad objects with:Show Apple ad fields
video_url, picture_url, width, height.age, gender, location, customer_type (booleans).curl -X GET "https://appkittie.com/api/v1/apps/12345" \
-H "Authorization: Bearer YOUR_API_KEY"